Bug 229944 - x11/libfm, x11-fm/pcmanfm: Update and FLAVORIZE both.
Summary: x11/libfm, x11-fm/pcmanfm: Update and FLAVORIZE both.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexandre C. Guimarães
URL: https://reviews.freebsd.org/D16387
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-22 02:48 UTC by Alexandre C. Guimarães
Modified: 2019-01-07 15:08 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (portmaster)
jsm: maintainer-feedback+


Attachments
x11/libfm and x11-fm/pcmanfm: update and flavorize. (5.93 KB, patch)
2018-08-03 02:46 UTC, Alexandre C. Guimarães
no flags Details | Diff
x11/libfm and x11-fm/pcmanfm: update and flavorize. (8.85 KB, patch)
2019-01-07 00:19 UTC, Alexandre C. Guimarães
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre C. Guimarães freebsd_committer 2018-07-22 02:48:43 UTC
On the Phabricator:

- update x11/libfm to version 1.3.0.2
- update x11-fm/pcmanfm to version 1.3.0
- FLAVORIZE both.

Also touch the x11/libfm-extra pkg-plist file, that is libfm SLAVEPORT.
Comment 1 Chris Hutchinson 2018-08-03 01:17:20 UTC
Hello, and thanks for all the work you did on the phab!
You've asked for approval, and while I see things look
good on the phab. I don't see a patch(1) here to approve.
Did my browser eat it? ;)

Thanks again for taking the time to add flavor(s) to
pcmanfm!

--Chris
Comment 2 Alexandre C. Guimarães freebsd_committer 2018-08-03 02:46:28 UTC
Created attachment 195793 [details]
x11/libfm and x11-fm/pcmanfm: update and flavorize.
Comment 3 Alexandre C. Guimarães freebsd_committer 2018-10-19 11:55:14 UTC
Due to x11/libfm flavorization all ports depending on it needs to be modified to ask to the right flavor. Thy are on the phab.

Thanks!
Comment 4 Jesper Schmitz Mouridsen freebsd_committer 2019-01-06 23:31:19 UTC
I have applied D16387 from phab to ports head @489328.
They all builds fine in poudriere
pkg info -r libfm
libfm-1.3.1:
        libfm-qt-0.13.0_2
        pcmanfm-qt-0.13.0_2
        lxqt-qtplugin-0.13.0_2
        lximage-qt-0.7.0_2
As maintainer of lximage-qt-0.7.0_2 and lxqt-qtplugin-0.13.0_2 i can approve the changes in D16387. I cannot see the same changes in the diff here though.
Comment 5 Alexandre C. Guimarães freebsd_committer 2019-01-07 00:19:25 UTC
Created attachment 200850 [details]
x11/libfm and x11-fm/pcmanfm: update and flavorize.

I am not updating the patch in here regularly because there were several changes on the phab version. ^^

Thanks!
Comment 6 Alexandre C. Guimarães freebsd_committer 2019-01-07 15:08:42 UTC
Thanks! \o/
Comment 7 commit-hook freebsd_committer 2019-01-07 15:08:44 UTC
A commit references this bug:

Author: rigoletto
Date: Mon Jan  7 15:08:10 UTC 2019
New revision: 489579
URL: https://svnweb.freebsd.org/changeset/ports/489579

Log:
  x11/libfm, x11-fm/pcmanfm: update and flavorize both.

  - update x11/libfm to version 1.3.1
  - update x11-fm/pcmanfm to version 1.3.1
  - convert both to flavors
  - fix other affected ports

  PR:		229944
  Reviewed by:	adamw, antoine, bapt
  Approved by:	mat (portmgr, mentor), tcberner (mentor), jsm (maintainer), Chris Hutchinson <portmaster@bsdforge.com> (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D16387

Changes:
  head/graphics/lximage-qt/Makefile
  head/sysutils/lxqt-qtplugin/Makefile
  head/x11/libfm/Makefile
  head/x11/libfm/distinfo
  head/x11/libfm/pkg-plist
  head/x11/libfm-extra/pkg-plist
  head/x11/libfm-qt/Makefile
  head/x11/lxhotkey/Makefile
  head/x11/lxpanel/Makefile
  head/x11-fm/pcmanfm/Makefile
  head/x11-fm/pcmanfm/distinfo
  head/x11-fm/pcmanfm-qt/Makefile